#!/bin/bash

export LC_ALL=hu_HU.UTF-8

cat "$@" |
  sed -e 's@<bf/\(.\)/@\1@g' |
  tr '[:lower:]' '[:upper:]' |
  iconv -f UTF-8 -t Latin2 |
  ispell -d magyar -W 2 -l |
  iconv -f Latin2 -t UTF-8 |
  tr '[:upper:]' '[:lower:]' |
  egrep -vx '(abstract|descrip|doctype|itemize|linuxdoc|sect)' |
  sort | uniq > spell.txt
